package org.springblade.modules.jgInfo.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import org.springblade.core.mp.base.BaseService;
import org.springblade.modules.jgInfo.entity.JgInfoEntity;
import org.springblade.modules.jgInfo.excel.JgInfoExcel;
import org.springblade.modules.jgInfo.vo.*;

import java.util.List;
import java.util.Map;

/**
 * 警格 服务类
 *
 * @author BladeX
 * @since 2023-11-06
 */
public interface IJgInfoService extends BaseService<JgInfoEntity> {
	/**
	 * 导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<JgInfoExcel> exportjgInfo(Wrapper<JgInfoEntity> queryWrapper);

	List<FjVO> getFjList(Map<String, Object> params);

	List<PcsVO> getPcsList(Map<String, Object> params);

	List<SqVO> getSqList(Map<String, Object> params);

	List<JgVO> getJgList(Map<String, Object> params);

	List<JyVO> getJyList(Map<String, Object> params);

    List<String> getJgByJh(String jh);
}
